/////////////WRITTEN BY ZACH G. (C) 2021 DORAEZACHTEAM LTD.
/////////////TORQUE GAME ENGINE (C) 2001 - 2021 GARAGEGAMES.COM
datablock TSShapeConstructor(conkerDts) {
	baseShape = "./model/conker.dts";
	sequence0  = "./motion/conk_root.dsq root";

	sequence1  = "./motion/conk_walk.dsq run";
	sequence2  = "./motion/conk_walk.dsq walk";
	sequence3  = "./motion/conk_back.dsq back";
	sequence4  = "./motion/conk_back.dsq side";

	sequence5  = "./motion/conk_crouch.dsq crouch";
	sequence6  = "./motion/conk_crouchrun.dsq crouchRun";
	sequence7  = "./motion/conk_crouchrun.dsq crouchBack";
	sequence8  = "./motion/conk_crouchrun.dsq crouchSide";

	sequence9  = "./motion/conk_look.dsq look";
	sequence10 = "./motion/conk_headside.dsq headside";
	sequence11 = "./motion/conk_root.dsq headUp";

	sequence12 = "./motion/conk_jump.dsq jump";
	sequence13 = "./motion/conk_jump.dsq standjump";
	sequence14 = "./motion/conk_root.dsq fall";
	sequence15 = "./motion/conk_root.dsq land";

	sequence16 = "./motion/conk_armAttack.dsq armAttack";
	sequence17 = "./motion/conk_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./motion/conk_armReadyRight.dsq armReadyRight";
	sequence19 = "./motion/conk_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./motion/conk_spearready.dsq spearready";  
	sequence21 = "./motion/conk_spearThrow.dsq spearThrow";

	sequence22 = "./motion/conk_talk.dsq talk";  

	sequence23 = "./motion/conk_death1.dsq death1"; 
	
	sequence24 = "./motion/conk_root.dsq shiftUp";
	sequence25 = "./motion/conk_root.dsq shiftDown";
	sequence26 = "./motion/conk_shiftAway.dsq shiftAway";
	sequence27 = "./motion/conk_root.dsq shiftTo";
	sequence28 = "./motion/conk_root.dsq shiftLeft";
	sequence29 = "./motion/conk_root.dsq shiftRight";
	sequence30 = "./motion/conk_rotCW.dsq rotCW";
	sequence31 = "./motion/conk_rotCCW.dsq rotCCW";

	sequence32 = "./motion/conk_root.dsq undo";
	sequence33 = "./motion/conk_plant.dsq plant";

	sequence34 = "./motion/conk_sit.dsq sit";

	sequence35 = "./motion/conk_shiftAway.dsq wrench";

   sequence36 = "./motion/conk_activate.dsq activate";
   sequence37 = "./motion/conk_activate2.dsq activate2";

   sequence38 = "./motion/conk_leftrecoil.dsq leftrecoil";
};

datablock AudioProfile(conkerDeathSound)
{
	fileName = "./sound/conk_miss.wav";
	description = AudioClose3d;
	preload = true;
};
datablock AudioProfile(conkerJumpSound)
{
    fileName = "./sound/conk_jump.wav";
    description = AudioClose3d;
    preload = true;
};
datablock AudioProfile(conkerPainSound)
{
    fileName = "./sound/conk_pain.wav";
    description = AudioClose3d;
    preload = true;
};    

datablock PlayerData(conkerArmor : PlayerStandardArmor)
{
   shapeFile = "./model/conker.dts";
	uiName = "Conker";
	canJet = 1;
	maxDamage = "1000";

useCustomPainEffects = true;
   PainSound			= conkerPainSound;
   DeathSound			= conkerDeathSound;
   JumpSound			= conkerJumpSound;

};

datablock PlayerData(conkerNoJetArmor : PlayerStandardArmor)
{
   shapeFile = "./model/conker.dts";
	uiName = "Conker (NO JET)";
	canJet = 0;
	maxDamage = "1000";

useCustomPainEffects = true;
   PainSound			= conkerPainSound;
   DeathSound			= conkerDeathSound;
   JumpSound			= conkerJumpSound;

};